Bug 747050 - Review Request: python-postman - cli for working with Amazon SES
Summary: Review Request: python-postman - cli for working with Amazon SES
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Konstantin Ryabitsev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-18 16:52 UTC by Brett Lentz
Modified: 2011-11-19 23:32 UTC (History)
4 users (show)

Fixed In Version: python-postman-0.6.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-19 05:56:31 UTC
icon: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Brett Lentz 2011-10-18 16:52:00 UTC
Spec URL: http://wakko666.fedorapeople.org/python-postman/postman.spec
SRPM URL: http://wakko666.fedorapeople.org/python-postman/python-postman-0.5.2-1.fc16.src.rpm

Description: 

I've packaged up 'postman', which is a simple CLI interface to Amazon's Simple Email Service.  It is designed to help facilitate relaying emails through SES.

Comment 1 Konstantin Ryabitsev 2011-10-26 14:12:05 UTC
Hi, Brett. I'll review this if you review https://bugzilla.redhat.com/show_bug.cgi?id=748446

Comment 2 Konstantin Ryabitsev 2011-10-26 14:25:19 UTC
Rpmlint output:

> python-postman.src: W: spelling-error Summary(en_US) boto -> boot, bot, boo

ignoring

> python-postman.src: W: summary-not-capitalized C postman is a simple command line working with Amazon AWS, leveraging the boto library.
> python-postman.src: W: summary-ended-with-dot C postman is a simple command line working with Amazon AWS, leveraging the boto library.
> python-postman.src: E: summary-too-long C postman is a simple command line working with Amazon AWS, leveraging the boto library.

Suggest rewriting the summary as such:

Summary: A simple command-line tool to work with Amazon AWS

You don't need to mention the boto library in the description.


> python-postman.src: W: spelling-error %description -l en_US boto -> boot, bot, boo

ignoring

> python-postman.src: E: description-line-too-long C postman is a simple command line working with Amazon AWS, leveraging the boto library.
> python-postman.src: E: description-line-too-long C A tutorial for using postman is available here: http://aws.amazon.com/articles/2405502737055650

Please capitalize and add linebreaks to limit the line width to 80 chars.

> python-postman.src: E: invalid-spec-name

Please name the .spec file as python-postman.spec, not postman.spec.

> 1 packages and 0 specfiles checked; 4 errors, 4 warnings.

Comment 3 Konstantin Ryabitsev 2011-10-26 14:28:59 UTC
A better suggestion for Summary:

Summary: A command-line utility to work with Amazon SES (Simple Email Service)

Comment 4 Konstantin Ryabitsev 2011-10-26 14:52:35 UTC
Additional rpmlint notes on noarch packages:

> python-postman.noarch: W: no-documentation

Please add:

%doc README.rst AUTHORS LICENSE

> python-postman.noarch: W: no-manual-page-for-binary postman

Please run in build.

rst2man README.rst postman.5

Install it into %{buildroot}%{_mandir}/man5/

(you will need to add python-docutils to BuildRequires)

Comment 5 Richard Shaw 2011-10-26 15:01:46 UTC
A couple of other observations:

1. Python macros:

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
# off by default until there is a python3-boto package
%global with_python3 0
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

Ok, it looks like you're kinda mixing the two examples from the Python guidelines. I see you want to build for both versions 2 and 3, but because of the lack of a necessary package in 3, you're disabling the version 3 module.

Unless the python3-boto package is going to be available in the near future, wouldn't it be easier to not deal with all the v2 and v3 logic for now?

This would allow you to go back to the standard guideline logic...

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif


2. Since it looks like your building pure python modules you can drop CFLAGS in %build.


3. it looks like you're using a common binary since %files inyour python3 package does not include a %{_bindir}. If that's the case then your python3 package should Requires: you python2 package. I'm not sure if this is legit, but without it the python3 package will not have anything in /usr/bin.

Comment 6 Brett Lentz 2011-10-26 16:06:08 UTC
Ok... I've removed the python3 stuff for now, and have incorporated all of the other suggestions.

SPEC: http://wakko666.fedorapeople.org/python-postman/python-postman.spec
SRPM: http://wakko666.fedorapeople.org/python-postman/python-postman-0.5.2-2.fc16.src.rpm

Comment 7 Konstantin Ryabitsev 2011-10-26 18:03:42 UTC
> python-postman.noarch: W: summary-not-capitalized C postman is a command line utility for working with Amazon SES
> python-postman.noarch: E: description-line-too-long C Postman is a command line utility for working with Amazon Simple Email Service (SES)
> python-postman.src: W: summary-not-capitalized C postman is a command line utility for working with Amazon SES
> python-postman.src: E: description-line-too-long C Postman is a command line utility for working with Amazon Simple Email Service (SES)

Nitpicks, but I would do it -- capitalize "Postman" and break the line at 80 characters, to appease rpmlint.

Once this is done, I will approve. The rest checks out:

MUST: PASS: The package must be named according to the Package Naming Guidelines .
MUST: PASS: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
MUST: PASS: The package must meet the Packaging Guidelines .
MUST: PASS: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
MUST: PASS: The License field in the package spec file must match the actual license.
MUST: PASS: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. : Please add LICENSE file.
MUST: PASS: The spec file must be written in American English.
MUST: PASS: The spec file for the package MUST be legible.
MUST: PASS: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
MUST: PASS: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
MUST: N/A: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
MUST: PASS: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
MUST: N/A: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
MUST: N/A: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
MUST: PASS: Packages must NOT bundle copies of system libraries.
MUST: N/A: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
MUST: PASS: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
MUST: PASS: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
MUST: PASS: Each package must consistently use macros.
MUST: PASS: The package must contain code, or permissable content.
MUST: N/A: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
MUST: PASS: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
MUST: N/A: Header files must be in a -devel package.
MUST: N/A: Static libraries must be in a -static package.
MUST: N/A: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
MUST: N/A: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
MUST: N/A: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
MUST: N/A: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
MUST: PASS: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
MUST: PASS: All filenames in rpm packages must be valid UTF-8.

SHOULD: N/A: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
SHOULD: N/A: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
SHOULD: PASS: The reviewer should test that the package builds in mock.
SHOULD: NOARCH: The package should compile and build into binary rpms on all supported architectures.
SHOULD: PASS: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
SHOULD: N/A: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
SHOULD: N/A: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
SHOULD: N/A: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
SHOULD: N/A: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
SHOULD: PASS: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense

Comment 9 Konstantin Ryabitsev 2011-10-26 19:17:18 UTC
Looks good. Approving.

Comment 10 Brett Lentz 2011-10-26 19:37:29 UTC
New Package SCM Request
=======================
Package Name: python-postman
Short Description: Postman is a command line utility for working with Amazon SES
Owners: wakko666
Branches: f15 f16 el5 el6
InitialCC:

Comment 11 Gwyn Ciesla 2011-10-26 19:43:27 UTC
Git done (by process-git-requests).

Konstantin, please take ownership of review BZs.  Thanks!

Comment 12 Konstantin Ryabitsev 2011-10-26 19:45:05 UTC
Sorry.

Comment 13 Fedora Update System 2011-10-26 20:34:26 UTC
python-postman-0.5.2-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-postman-0.5.2-3.el6

Comment 14 Fedora Update System 2011-10-26 20:35:33 UTC
python-postman-0.5.2-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-postman-0.5.2-3.fc16

Comment 15 Fedora Update System 2011-10-26 20:36:21 UTC
python-postman-0.5.2-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-postman-0.5.2-3.fc15

Comment 16 Fedora Update System 2011-11-04 16:24:11 UTC
python-postman-0.5.2-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-postman-0.5.2-4.fc16

Comment 17 Fedora Update System 2011-11-04 16:25:15 UTC
python-postman-0.5.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-postman-0.5.2-4.el6

Comment 18 Fedora Update System 2011-11-08 15:10:26 UTC
python-postman-0.6.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-postman-0.6.0-1.el6

Comment 19 Fedora Update System 2011-11-08 15:11:59 UTC
python-postman-0.6.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-postman-0.6.0-1.fc16

Comment 20 Fedora Update System 2011-11-08 15:12:40 UTC
python-postman-0.6.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-postman-0.6.0-1.fc15

Comment 21 Fedora Update System 2011-11-10 07:30:14 UTC
Package python-postman-0.6.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-postman-0.6.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-4912
then log in and leave karma (feedback).

Comment 22 Fedora Update System 2011-11-19 05:56:31 UTC
python-postman-0.6.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2011-11-19 19:59:42 UTC
python-postman-0.6.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2011-11-19 23:32:26 UTC
python-postman-0.6.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.